#version 400

uniform mat4 modelMatrix;
uniform mat4 lightViewMatrix;
uniform mat4 lightProjMatrix;
uniform mat4 projectionMatrix;

layout(location = 0) in vec3 position;
layout(location = 2) in vec2 textureCoords;

smooth out vec2 VS_TexCoord;

void main()
{
	//geometry should have texture coordinates if alpha test is enabled
	VS_TexCoord = textureCoords;

	gl_Position = lightProjMatrix * lightViewMatrix * modelMatrix * vec4(position, 1.0);
}